[sysadmin-bin: 85/168] For unnamed repositories, link to how to create a DOAP file



commit 51aa6a4368babdb5dfc06fff0f21daa585c60333
Author: Federico Mena Quintero <federico novell com>
Date:   Wed Apr 22 12:25:01 2009 -0500

    For unnamed repositories, link to how to create a DOAP file
    
    We do this in find-cgit-repos.sh, so each unnamed repository will get a descriptive
    link instead of a stock "Unnamed repository" description
    
    Signed-off-by: Federico Mena Quintero <federico novell com>

 find-cgit-repos.sh |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)
---
diff --git a/find-cgit-repos.sh b/find-cgit-repos.sh
index 543721f..5fcff9c 100755
--- a/find-cgit-repos.sh
+++ b/find-cgit-repos.sh
@@ -14,15 +14,25 @@ function list_repos() {
 		shortname=${shortname%%.git}
 		shortname=${shortname/\/home\//\~}
 		url=${shortname}
+
 		if test -f $r/pending ; then
 		    pending="[PENDING] "
 		else
 		    pending=""
 		fi
+
+		if ! cmp $r/description /git/empty-description; then
+		    desc=$(test -f $r/description && cat $r/description)
+		fi
+
+		if test -z "$desc"; then
+		    desc="Please create $shortname.doap (see http://live.gnome.org/Git/FAQ)"
+		fi
+
 		test -z "$group" || echo repo.group=$group
 		echo repo.url=$url
 		echo repo.name=$shortname
-		echo repo.desc=$pending$(test -f $r/description && cat $r/description)
+		echo repo.desc=$pending$desc
 		echo repo.path=$r
 		echo
 	    fi



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]